import math

import pygame


class Colors:
	ORANGE = (255, 140, 0)
	RED = (255, 0, 0)
	GREEN = (5, 112, 0)
	BLACK = (0, 0, 0)
	WHITE = (255, 255, 255)
	GREY = (84, 84, 84)


class Fonts:
	pygame.init()
	monospace_20 = pygame.font.SysFont("monospace", 20)
	monospace_80 = pygame.font.SysFont("monospace", 80)


class SquareConfig:
	width = 10
	height = 10

	unclicked_color = Colors.BLACK
	clicked_color = Colors.WHITE


class GeneralConfig:
	width = 1000
	height = 1000
	fields_amount_x = math.trunc(width / SquareConfig.width)
	fields_amount_y = math.trunc(height / SquareConfig.height)
	fps = 150
	window_caption = "GOL"
	evolve_speed = 360  # ziemlich slow das updated abhängig davon wie viele mill sec das game seit dem letzten mal gelaufen ist im schnitt sind das so 60
